package Polynomial;

import ShamirSecretSharing.Polynomial;

import java.math.BigInteger;
import java.util.Random;

/**
 * Created by Tzlil on 1/27/2016.
 */
public class Utils {

    public static Polynomial generateRandomPolynomial(int degree,int bits,Random random) {
        BigInteger[] coefficients = new BigInteger[degree + 1];

        for (int i = 0 ; i <= degree; i++ ){
            coefficients[i] = new BigInteger(bits,random); // sample from Zp [0,... p-1]
        }
        return new Polynomial(coefficients);
    }
}
